package cz.frantovo.hrisniciSpameri.dto;

import java.io.Serializable;

/**
 * Definice cíle spamování
 * @author fiki
 */
public class Cil implements Serializable {

    private static final long serialVersionUID = 3789654950408517499L;
    private int id;
    private String nazev;
    private String url;
    private String selekt;
    private String databaze;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getNazev() {
        return nazev;
    }

    public void setNazev(String nazev) {
        this.nazev = nazev;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getSelekt() {
        return selekt;
    }

    public void setSelekt(String selekt) {
        this.selekt = selekt;
    }

    public String getDatabaze() {
        return databaze;
    }

    public void setDatabaze(String databaze) {
        this.databaze = databaze;
    }

    public Cil(int id, String nazev, String url, String selekt, String databaze) {
        this.id = id;
        this.nazev = nazev;
        this.url = url;
        this.selekt = selekt;
        this.databaze = databaze;
    }

    public Cil() {
    }

    @Override
    public boolean equals(Object obj) {
        if (obj instanceof Cil) {
            Cil c = (Cil) obj;
            return c.getId() == getId();
        } else {
            return false;
        }
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 67 * hash + this.id;
        hash = 67 * hash + (this.nazev != null ? this.nazev.hashCode() : 0);
        hash = 67 * hash + (this.url != null ? this.url.hashCode() : 0);
        hash = 67 * hash + (this.selekt != null ? this.selekt.hashCode() : 0);
        hash = 67 * hash + (this.databaze != null ? this.databaze.hashCode() : 0);
        return hash;
    }
}
